New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

ERROR: An extractor error has occurred. (caused by KeyError('id',)); (Cartoon Network) #15664

Closed
mightyneek opened this Issue Feb 20, 2018 · 0 comments

Comments

Projects
None yet
2 participants
@mightyneek
Copy link

mightyneek commented Feb 20, 2018

Please follow the guide below

  • You will be asked some questions and requested to provide some information, please read them carefully and answer honestly
  • Put an x into all the boxes [ ] relevant to your issue (like this: [x])
  • Use the Preview tab to see what your issue will actually look like

Make sure you are using the latest version: run youtube-dl --version and ensure your version is 2018.02.11. If it's not, read this FAQ entry and update. Issues with outdated version will be rejected.

  • I've verified and I assure that I'm running youtube-dl 2018.02.11

Before submitting an issue make sure you have:

  • At least skimmed through the README, most notably the FAQ and BUGS sections
  • Searched the bugtracker for similar issues including closed ones
  • Checked that provided video/audio/playlist URLs (if any) are alive and playable in a browser

What is the purpose of your issue?

  • Bug report (encountered problems with youtube-dl)
  • Site support request (request for adding support for a new site)
  • Feature request (request for a new functionality)
  • Question
  • Other

The following sections concretize particular purposed issues, you can erase any section (the contents between triple ---) not applicable to your issue


If the purpose of this issue is a bug report, site support request or you are not completely sure provide the full verbose output as follows:

Add the -v flag to your command line you run youtube-dl with (youtube-dl -v <your command line>), copy the whole output and insert it here. It should look similar to one below (replace it with your log inserted between triple ```):

[debug] Command-line args: ['--ap-mso', 'DTV', '--ap-username', 'PRIVATE', '--ap-password', 'PRIVATE', 'http://www.cartoonnetwork.com/video/we-bare-bears/baby-bears-cant-jump-episode.html', '-v']
[debug] Encodings: locale cp1252, fs mbcs, out cp437, pref cp1252
[debug] youtube-dl version 2018.02.11
[debug] Python version 3.4.4 (CPython) - Windows-10-10.0.16299
[debug] exe versions: ffmpeg N-90021-g4961ddfd35, ffprobe N-90021-g4961ddfd35
[debug] Proxy map: {}
[CartoonNetwork] baby-bears-cant-jump: Downloading webpage
[CartoonNetwork] b8b60b39f61c1e9e5344f366d1ed5807bdbb76ff: Downloading XML
ERROR: An extractor error has occurred. (caused by KeyError('id',)); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; type  youtube-dl -U  to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
Traceback (most recent call last):
  File "C:\Users\dst\AppData\Roaming\Build archive\youtube-dl\rg3\tmpy028tx8p\build\youtube_dl\extractor\common.py", line 440, in extract
  File "C:\Users\dst\AppData\Roaming\Build archive\youtube-dl\rg3\tmpy028tx8p\build\youtube_dl\extractor\cartoonnetwork.py", line 41, in _real_extract
  File "C:\Users\dst\AppData\Roaming\Build archive\youtube-dl\rg3\tmpy028tx8p\build\youtube_dl\extractor\turner.py", line 49, in _extract_cvp_info
KeyError: 'id'
Traceback (most recent call last):
  File "C:\Users\dst\AppData\Roaming\Build archive\youtube-dl\rg3\tmpy028tx8p\build\youtube_dl\extractor\common.py", line 440, in extract
  File "C:\Users\dst\AppData\Roaming\Build archive\youtube-dl\rg3\tmpy028tx8p\build\youtube_dl\extractor\cartoonnetwork.py", line 41, in _real_extract
  File "C:\Users\dst\AppData\Roaming\Build archive\youtube-dl\rg3\tmpy028tx8p\build\youtube_dl\extractor\turner.py", line 49, in _extract_cvp_info
KeyError: 'id'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\dst\AppData\Roaming\Build archive\youtube-dl\rg3\tmpy028tx8p\build\youtube_dl\YoutubeDL.py", line 785, in extract_info
  File "C:\Users\dst\AppData\Roaming\Build archive\youtube-dl\rg3\tmpy028tx8p\build\youtube_dl\extractor\common.py", line 453, in extract
youtube_dl.utils.ExtractorError: An extractor error has occurred. (caused by KeyError('id',)); please report this issue on https://yt-dl.org/bug . Make sure you are using the latest version; type  youtube-dl -U  to update. Be sure to call youtube-dl with the --verbose flag and include its complete output.
...
<end of log>

If the purpose of this issue is a site support request please provide all kinds of example URLs support for which should be included (replace following example URLs by yours):

Note that youtube-dl does not support sites dedicated to copyright infringement. In order for site support request to be accepted all provided example URLs should not violate any copyrights.


Description of your issue, suggested solution and other information

When I try to download from CartoonNetwork.com I get the ''caused by KeyError('id',));'' error on some videos. I have tried using multiple MSO's (ATTOTT, DTV). Some vidoes work. Some do not. I have included additional examples above of both working and not working.

Repository owner deleted a comment from mightyneek Feb 23, 2018

Repository owner locked and limited conversation to collaborators Feb 23, 2018

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.